> ## Documentation Index
> Fetch the complete documentation index at: https://docs.minestorecms.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Giftcard

> Removes the gift card from the user's cart and updates the gift card's balance accordingly.



## OpenAPI

````yaml POST /cart/removeGiftcard
openapi: 3.0.0
info:
  title: MineStoreCMS REST API
  description: Documentation for MineStoreCMS Frontend REST API.
  version: 3.8.7
servers:
  - url: https://v3.minestorecms.com/api
    description: Example URL of Demo Server
security: []
tags: []
paths:
  /cart/removeGiftcard:
    post:
      tags:
        - cart
      summary: Remove the currently applied gift card from the user's cart
      description: >-
        Removes the gift card from the user's cart and updates the gift card's
        balance accordingly.
      responses:
        '200':
          description: Successfully removed the gift card.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                    description: Indicates the operation was successful.
                    example: true
                  message:
                    type: string
                    description: Confirmation message for the gift card removal.
                    example: Gift Card was successfully removed!
                  sum:
                    type: number
                    format: float
                    description: >-
                      The remaining balance on the gift card after removal
                      (always 0 in this case).
                    example: 0
                  type:
                    type: string
                    description: >-
                      Type of the discount applied (in this case, always
                      'gift').
                    example: gift
        '401':
          description: Unauthorized - Invalid or missing Access Token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                    description: Indicates the operation was unsuccessful.
                    example: false
                  message:
                    type: string
                    description: Details about the unauthorized access or error.
                    example: Invalid or missing Access Token.
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````